#!/bin/sh

GNUGO=../interface/gnugo

gtpfile=$1
expectfile=$2
options=$3  # May be omitted
IFS="
"

for i in `$GNUGO --quiet $options --mode gtp <$gtpfile | \
egrep '^[=?][0-9]+' | cut -c 2-`
do
  number=`echo $i | cut -d ' ' -f 1`
  result=`echo $i | cut -d ' ' -f 2-`
  expect=`grep "^$number " $expectfile | cut -d ' ' -f 2-`
  compare=`echo $result | awk "match(\\$0,\"$expect\") {print \"match\"}"`
  if [ "$compare" != "match" ]
  then
    echo $number FAILED: Expected \"$expect\", got \"$result\"
  else
    echo $number passed
  fi
done
